<template>
  <div v-if="data">
    total tenants: {{ data.total_tenants }}
    total products: {{ data.total_products }}
    total scans: {{ data.total_scans }}
  </div>
</template>

<script>
export default {
  name: 'Stats',
  props: [],
  components: {
  },
  data: function () {
    return {
      data: null,
    };
  },
  computed: {
  },
  methods: {
    reload: async function() {
      var r = await this.$root.api_get('/api/v1/stats/');
      this.data = r.data;
    },
  },
  mounted() {
    this.reload();
  },
}
</script>

<style scoped>
</style>
